## ros-kinetic-cob-object-detection-visualizer 0.6.17

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_object_detection_visualizer)

set(catkin_RUN_PACKAGES
  cob_object_detection_msgs
  cv_bridge
  eigen_conversions
  image_transport
  message_filters
  pcl_ros
  roscpp
  sensor_msgs
  visualization_msgs
)

set(catkin_BUILD_PACKAGES 
	${catkin_RUN_PACKAGES}
)

find_package(catkin REQUIRED COMPONENTS
	${catkin_BUILD_PACKAGES}
)

find_package(Boost REQUIRED COMPONENTS system)
find_package(OpenCV REQUIRED)
find_package(PCL REQUIRED)

catkin_package(
CATKIN_DEPENDS
	${catkin_RUN_PACKAGES}
DEPENDS
	Boost
	OpenCV
	PCL
)
###########
## Build ##
###########

include_directories(
	${catkin_INCLUDE_DIRS}
	${Boost_INCLUDE_DIRS}
	${OpenCV_INCLUDE_DIRS}
	${PCL_INCLUDE_DIRS}
)

## Declare a cpp executable
add_executable(object_detection_visualizer ros/src/object_detection_visualizer_node.cpp)
add_dependencies(object_detection_visualizer ${catkin_EXPORTED_TARGETS})
target_link_libraries(object_detection_visualizer
	${catkin_LIBRARIES}
	${Boost_LIBRARIES}
	${OpenCV_LIBRARIES}
	${PCL_LIBRARIES}
)

#############
## Install ##
#############

install(TARGETS object_detection_visualizer
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-cob-object-detection-visualizer (0.6.17-1xenial) xenial; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Tue, 13 Oct 2020 22:00:00 -0000

ros-kinetic-cob-object-detection-visualizer (0.6.16-1xenial) xenial; urgency=high

  * Merge pull request #101 <https://github.com/ipa320/cob_perception_common/issues/101> from fmessmer/test_noetic
    test noetic
  * reduce dependencies
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Fri, 09 Oct 2020 22:00:00 -0000

ros-kinetic-cob-object-detection-visualizer (0.6.15-1xenial) xenial; urgency=high

  * Merge pull request #99 <https://github.com/ipa320/cob_perception_common/issues/99> from fmessmer/ci_updates
    [travis] ci updates
  * fix cmake warning
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-object-detection-visualizer (0.6.14-1xenial) xenial; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Mon, 05 Aug 2019 22:00:00 -0000

ros-kinetic-cob-object-detection-visualizer (0.6.13-1xenial) xenial; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Wed, 13 Mar 2019 23:00:00 -0000

ros-kinetic-cob-object-detection-visualizer (0.6.12-1xenial) xenial; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-kinetic-cob-object-detection-visualizer (0.6.11-1xenial) xenial; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #83 <https://github.com/ipa320/cob_perception_common/issues/83> from ipa-rmb/indigo_dev
    fixed typo in package.xml
  * fixed typo in package.xml
  * use license apache 2.0
  * Merge pull request #82 <https://github.com/ipa320/cob_perception_common/issues/82> from ipa-rmb/indigo_dev
    bugfix for a warning
  * bugfix for a warning
  * Contributors: Richard Bormann, ipa-fxm, ipa-uhr-mk

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-kinetic-cob-object-detection-visualizer (0.6.10-1xenial) xenial; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Wed, 19 Jul 2017 22:00:00 -0000

ros-kinetic-cob-object-detection-visualizer (0.6.9-1xenial) xenial; urgency=high

  * remove obsolete dependencies to cmake_modules
  * opencv3 compatibility
  * manually fix changelog
  * Contributors: ipa-fxm

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-kinetic-cob-object-detection-visualizer (0.6.8-1xenial) xenial; urgency=high

  * object detection visualization working
  * added an image based visualization function for object detection messages
  * working on image display of detections
  * Contributors: Richard Bormann

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-kinetic-cob-object-detection-visualizer (0.6.7-1xenial) xenial; urgency=high

  * fix remaining issues from #54 <https://github.com/ipa320/cob_perception_common/issues/54>
  * conversion to package format 2
  * added wait for transform because of non-flipping bug
  * Merge branch 'indigo_dev' of github.com:ipa320/cob_perception_common into indigo_dev
  * catkin_lint
  * hopefully corrected dependencies to message generation
  * Contributors: Richard Bormann, ipa-fmw, ipa-fxm

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-kinetic-cob-object-detection-visualizer (0.6.6-1xenial) xenial; urgency=high

  * fix maintainer
  * Contributors: Florian Weisshardt

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-kinetic-cob-object-detection-visualizer (0.6.5-1xenial) xenial; urgency=high

  * missing dependencies to message generation
  * fix dependencies
  * added a visualization program for cob_object_detection_msgs::DetectionArray messages, displays as a MarkerArray in Rviz
  * Contributors: Richard Bormann, ipa-fmw, ipa-fxm

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-kinetic-cob-object-detection-visualizer (0.6.4-1xenial) xenial; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Tue, 16 Sep 2014 22:00:00 -0000

ros-kinetic-cob-object-detection-visualizer (0.6.3-1xenial) xenial; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Mon, 08 Sep 2014 16:17:00 -0000

ros-kinetic-cob-object-detection-visualizer (0.6.2-1xenial) xenial; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Mon, 01 Sep 2014 15:59:00 -0000

ros-kinetic-cob-object-detection-visualizer (0.6.1-1xenial) xenial; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Thu, 28 Aug 2014 10:57:00 -0000

ros-kinetic-cob-object-detection-visualizer (0.6.0-1xenial) xenial; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Thu, 28 Aug 2014 09:37:00 -0000

ros-kinetic-cob-object-detection-visualizer (0.5.12-1xenial) xenial; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Mon, 08 Sep 2014 11:31:00 -0000

ros-kinetic-cob-object-detection-visualizer (0.5.11-1xenial) xenial; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Mon, 01 Sep 2014 15:58:00 -0000

ros-kinetic-cob-object-detection-visualizer (0.5.10-1xenial) xenial; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Thu, 28 Aug 2014 22:00:00 -0000

ros-kinetic-cob-object-detection-visualizer (0.5.6-1xenial) xenial; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Thu, 28 Aug 2014 09:27:00 -0000

ros-kinetic-cob-object-detection-visualizer (0.5.5-1xenial) xenial; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Mon, 25 Aug 2014 22:00:00 -0000



=== debian/control ===
Source: ros-kinetic-cob-object-detection-visualizer
Section: misc
Priority: optional
Maintainer: Richard Bormann <richard.bormann@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-cob-object-detection-msgs, ros-kinetic-cv-bridge, ros-kinetic-eigen-conversions, ros-kinetic-image-transport, ros-kinetic-message-filters, ros-kinetic-pcl-ros, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-cob-object-detection-visualizer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-cob-object-detection-msgs, ros-kinetic-cv-bridge, ros-kinetic-eigen-conversions, ros-kinetic-image-transport, ros-kinetic-message-filters, ros-kinetic-pcl-ros, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-visualization-msgs
Description: The cob_object_detection_visualizer package visualizes the object detection result.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-cob-object-detection-visualizer//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
